package key

import "key-manager/hd"

func GenerateMnemonic(mType hd.MnemonicType) (string, error) {
	mnemonic, err := hd.NewMnemonic(mType)
	if err != nil {
		return "", err
	}

	return mnemonic, nil
}
